#include "ConsoleCommand.h"


const char* ConsoleCommand::GetAlias()
{
	return 0;
}

ConsoleCommand::~ConsoleCommand()
{
}

ConsoleCommand::ConsoleCommand()
{
	__asm {
		lea eax,this
		push eax
		mov ecx,0x0081D098
		mov eax,0x00428FE0
		call eax
	}
}




/*const char* ConsoleCommandTest::GetName()
{
	return "echo";
}

const char* ConsoleCommandTest::GetHelp()
{
	return "You know how to echo, don't you?";
}
*/

/*void ConsoleCommandTest::Activate(const char* CommandLine)
{
	printf("\r\n[ECHO] ", CommandLine);
	printf(CommandLine);
	printf("\r\n");
}*/

//ConsoleCommandTest ConsoleCommandTestRegistrant;
//ConsoleCommandTest ConsoleCommandTestRegistrant2();